lv.eparaksts.helpers

## Class PdfQualifiedSignatureHelper

- java.lang.Object
- - lv.eparaksts.helpers.PdfQualifiedSignatureHelper

-     public class PdfQualifiedSignatureHelper
      extends Object

  `PdfQualifiedSignatureHelper` is a helper to create PDF QUALIFIED - LT (Long Term) profile signature.
  See Also:
    `SignatureProfile`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `REVOCATIONDATA_ANY`
    `static int` | `REVOCATIONDATA_CRL`
    `static int` | `REVOCATIONDATA_OCSP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfQualifiedSignatureHelper(X509Certificate certificate, TimeStamp timestamp)` Creates helper and prepares all required data for QUALIFIED profile certificate.
    `PdfQualifiedSignatureHelper(X509Certificate certificate, TimeStamp timestamp, boolean useTrustedList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawCertificateHierarchy()`
    `List<byte[]>` | `getCertificates()` Returns a list of the involved certificates.
    `List<byte[]>` | `getCRLs()` Returns a list of the involved CRL.
    `List<byte[]>` | `getOCSPs()` Returns a list of the involved OCSP responses.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REVOCATIONDATA_ANY

          public static final int REVOCATIONDATA_ANY

      See Also:
        Constant Field Values

    - #### REVOCATIONDATA_CRL

          public static final int REVOCATIONDATA_CRL

      See Also:
        Constant Field Values

    - #### REVOCATIONDATA_OCSP

          public static final int REVOCATIONDATA_OCSP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PdfQualifiedSignatureHelper

          public PdfQualifiedSignatureHelper(X509Certificate certificate,
                                             TimeStamp timestamp)
                                      throws KeyStoreException,
                                             CertificateException,
                                             NoSuchAlgorithmException,
                                             CertValidatorException,
                                             TSPException

      Creates helper and prepares all required data for QUALIFIED profile certificate.
      Parameters:
        `certificate` -
        `timestamp` -
      Throws:
        `KeyStoreException`
        `CertificateException`
        `NoSuchAlgorithmException`
        `CertValidatorException`
        `TSPException`

    - #### PdfQualifiedSignatureHelper

          public PdfQualifiedSignatureHelper(X509Certificate certificate,
                                             TimeStamp timestamp,
                                             boolean useTrustedList)
                                      throws KeyStoreException,
                                             CertificateException,
                                             NoSuchAlgorithmException,
                                             CertValidatorException,
                                             TSPException

      Throws:
        `KeyStoreException`
        `CertificateException`
        `NoSuchAlgorithmException`
        `CertValidatorException`
        `TSPException`

  - ### Method Detail

    - #### getCertificates

          public List<byte[]> getCertificates()
                                       throws CertificateEncodingException

      Returns a list of the involved certificates.
      Returns:
        a list of certificates.
      Throws:
        `CertificateEncodingException`

    - #### getCRLs

          public List<byte[]> getCRLs()
                               throws KeyStoreException,
                                      CRLException

      Returns a list of the involved CRL.
      Returns:
        a list of CRL.
      Throws:
        `KeyStoreException`
        `CRLException`

    - #### getOCSPs

          public List<byte[]> getOCSPs()
                                throws KeyStoreException,
                                       CRLException

      Returns a list of the involved OCSP responses.
      Returns:
        a list of OCSP responses.
      Throws:
        `KeyStoreException`
        `CRLException`

    - #### drawCertificateHierarchy

          public void drawCertificateHierarchy()
                                        throws KeyStoreException

      Throws:
        `KeyStoreException`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO